# $Revision: 1.3 $, $Date: 2004/11/01 21:25:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CGI
%define	pnam	Minimal
Summary:	CGI::Minimal - a lightweight CGI form processing package
Summary(pl):	CGI::Minimal - lekki pakiet do przetwarzania formularzy CGI
Name:		perl-CGI-Minimal
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c255b9a422707366e243b509e7d18c49
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a micro-weight alternative to the CPAN CGI.pm
module. Rather than attempt to address every possible need of a CGI
programmer, it provides the _minimum_ functions needed for CGI such
as form decoding (including file upload forms), URL encoding and
decoding, HTTP usable date generation (RFC1123 compliant dates) and
_basic_ escaping and unescaping of HTMLized text.

The form decoding interface is somewhat compatible with the CGI.pm
module. No provision is made for generating HTTP or HTML on your
behalf - you are expected to be conversant with how to put together
any HTML or HTTP you need.

%description -l pl
Ten pakiet dostarcza bardzo lekk alternatyw dla moduu CPAN CGI.pm.
Zamiast prbowa sprosta wszelkim moliwym potrzebom programisty CGI,
ten modu dostarcza _minimalne_ funkcje potrzebne dla CGI, takie jak
dekodowanie formularzy (wcznie z przysyaniem plikw), kodowanie i
dekodowanie URL-i, generowanie uytecznego w HTTP formatu daty
(zgodnego z RFC1123) oraz _podstawowe_ traktowanie znakw specjalnych
(escape/unescape) w tekcie HTML.

Interfejs do dekodowania formularzy jest czciowo kompatybilny z
moduem CGI.pm. Natomiast nie ma generowania HTTP czy HTML za
programist - to on ma wiedzie, jak umieci potrzebny mu HTML czy
HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/CGI/Minimal.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Minimal.spec,v $
Revision 1.3  2004/11/01 21:25:54  adamg
- updated to 1.14

Revision 1.2  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.1  2004/01/07 10:58:57  qboosh
- new

